Summary:	GNU Binary Utility Development Utilities
Name:		binutils
Version:	2.10.0.24
Release: 	4mdk
Copyright:	GPL
Group:		Development/Other
URL:		http://sourceware.cygnus.com/binutils

Source:		ftp://ftp.valinux.com/pub/support/hjl/binutils/binutils-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-root

%description
Binutils is a collection of binary utilities, including:

   * ar: creating modifying and extracting from archives
   * nm: for listing symbols from object files
   * objcopy: for copying and translating object files
   * objdump: for displaying information from object files
   * ranlib: for generating an index for the contents of an archive
   * size: for listing the section sizes of an object or archive file
   * strings: for listing printable strings from files
   * strip: for discarding symbols (a filter for demangling encoded C++ symbols
   * addr2line: for converting addresses to file and line
   * nlmconv: for converting object code into an NLM

Install binutils if you need to perform any of these types of actions on
binary files.  Most programmers will want to install binutils.

%prep

%setup

%build
if [ -x %{_bindir}/getconf ] ; then
  NRPROC=$(%{_bindir}/getconf _NPROCESSORS_ONLN)
   if [ $NRPROC -eq 0 ] ; then
    NRPROC=1
  fi
else
  NRPROC=1
fi
echo "MAKE=make -j $NRPROC" > makefile
echo "include Makefile" >> makefile
ADDITIONAL_TARGETS=""
%ifarch i386 i486 i586 i686 k6 k7
ADDITIONAL_TARGETS="--enable-targets=i386-linuxaout,i386-coff"
%else
%ifarch sparc
ADDITIONAL_TARGETS="--enable-targets=sparc64-linux"
%endif
%endif

CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
%configure --enable-shared $ADDITIONAL_TARGETS
make tooldir=/usr all info

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
%makeinstall tooldir=$RPM_BUILD_ROOT/usr/ install-info
./binutils/strip-new $RPM_BUILD_ROOT%{_bindir}/*

install -m 644 include/libiberty.h $RPM_BUILD_ROOT%{_includedir}
chmod +x $RPM_BUILD_ROOT%{_libdir}/lib*.so*

# This one comes from egcs
#rm -f $RPM_BUILD_ROOT%{_bindir}/c++filt

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%_install_info as.info

%_install_info bfd.info

%_install_info binutils.info

%_install_info gasp.info

%_install_info gprof.info

%_install_info ld.info

%_install_info standards.info

%preun
%_remove_install_info as.info

%_remove_install_info bfd.info

%_remove_install_info binutils.info

%_remove_install_info gasp.info

%_remove_install_info gprof.info

%_remove_install_info ld.info

%_remove_install_info standards.info

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{_mandir}/man1/*
%{_includedir}/*
%{_libdir}/*
%{_infodir}/*info*

%changelog
* Sun Aug 27 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.10.0.24-4mdk
- add back c++filt (chmouscks)

* Sun Aug 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10.0.24-3mdk
- Fix %post script.

* Sat Aug 26 2000 David BAUDENS <baudens@mandrakesoft.com> 2.10.0.24-2mdk
- Fix build for i486 (and other x86 archs)
- Human readable Description

* Thu Aug 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.10.0.24-1mdk
- new release
- fix tmppath

* Fri Jul 28 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.10.0.18-1mdk
- BM
- new release
- real macroszification.

* Wed Jul 12 2000 Warly <warly@mandrakesoft.com> 2.10.0.12-1mdk
- 2.10.0.12

* Thu Jun 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10.0.9-2mdk
- Macroszification.
- Remove c++-filt since the one from gcc2.96 is more recent.

* Mon Jun 26 2000 Warly <warly@mandrakesoft.com> 2.10.0.9-1mdk
- 2.10.0.9

* Thu Mar 23 2000 Florent Villard <warly@mandrakesoft.com> 2.9.5.0.31-1mdk
- group update
- mandrake adaptation
